%define upstream_name    Net-IDN-Nameprep
%define upstream_version 1.102

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    A Stringprep Profile for Internationalized Domain Names (S<RFC 3491>)
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Net/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Module::Build) >= 0.380.0
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::NoWarnings)
BuildRequires: perl(Unicode::Stringprep) >= 1.100.0
BuildArch:  noarch

%{?perl_default_filter}

%description
This module implements the _nameprep_ specification, which describes how to
prepare internationalized domain name (IDN) labels in order to increase the
likelihood that name input and name comparison work in ways that make sense
for typical users throughout the world. Nameprep is a profile of the
stringprep protocol and is used as part of a suite of on-the-wire protocols
for internationalizing the Domain Name System (DNS).

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README SIGNATURE
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Sun Jun 19 2016 pterjan <pterjan> 1.102.0-3.mga6
+ Revision: 1031088
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 1.102.0-2.mga6
+ Revision: 967965
- Mageia 6 Mass Rebuild

* Sun Jul 05 2015 sander85 <sander85> 1.102.0-1.mga6
+ Revision: 850996
- update to 1.102

* Wed Oct 15 2014 umeabot <umeabot> 1.101.0-6.mga5
+ Revision: 744409
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 1.101.0-5.mga5
+ Revision: 732420
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 1.101.0-4.mga5
+ Revision: 685665
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.101.0-3.mga4
+ Revision: 513501
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.101.0-2.mga3
+ Revision: 370633
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 10 2011 kharec <kharec> 1.101.0-1.mga2
+ Revision: 179895
- update to 1.101

  + jquelin <jquelin>
    - imported package perl-Net-IDN-Nameprep


* Mon Jul 25 2011 cpan2dist 1.100-1mga
- initial mageia release, generated with cpan2dist
